Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class AuditDriverHelper

    java.lang.Object
      oracle.ifs.core.tools.script.AuditDriverHelper

    public class AuditDriverHelper

extends java.lang.Object

An AuditDriverHelper instance holds onto the auditing context used within a running ECM script.

(Published)

Constructor Summary
`AuditDriverHelper()` Construct an AuditDriverHelper.

Method Summary
`protected AuditEventDispatcher` | `getAuditEventDispatcher(LibrarySession sess)` Gets the audit event dispatcher.
`protected long` | `getAuditingStartingId()` Get the value previously set as the starting point for Audit searches.
`protected java.lang.String` | `getDefaultAuditEventSortClause()` Gets the default sort clause for auditing searches.
`protected void` | `setAuditingStartingId(long auditId)` Set the starting point for Audit searches.
`protected void` | `setDefaultAuditEventSortClause(java.lang.String sortClause)` Sets the default sort clause for auditing searches.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditDriverHelper

    public AuditDriverHelper()

  Construct an AuditDriverHelper.

  (Published)

Method Detail

### setAuditingStartingId

    protected void setAuditingStartingId(long auditId)

  Description copied from class: `AuditDriverHelper`
  Set the starting point for Audit searches.

  Parameters:
    `auditId` - the highest Audit ID that currently exists.
  (Published)

### getAuditingStartingId

    protected long getAuditingStartingId()

  Description copied from class: `AuditDriverHelper`
  Get the value previously set as the starting point for Audit searches.

  Returns:
    the Audit ID to use as the base for audit searches
  (Published)

### setDefaultAuditEventSortClause

    protected void setDefaultAuditEventSortClause(java.lang.String sortClause)

  Description copied from class: `AuditDriverHelper`
  Sets the default sort clause for auditing searches.

  Can be null, in which case the system default will be used.

  Parameters:
    `sortClause` - the default sort for auditing searches
  (Published)

### getDefaultAuditEventSortClause

    protected java.lang.String getDefaultAuditEventSortClause()

  Description copied from class: `AuditDriverHelper`
  Gets the default sort clause for auditing searches.

  Can be null, in which case the system default should be used.

  Returns:
    the default sort for auditing searches
  (Published)

### getAuditEventDispatcher

    protected AuditEventDispatcher getAuditEventDispatcher(LibrarySession sess)
                                                    throws IfsException

  Description copied from class: `AuditDriverHelper`
  Gets the audit event dispatcher.

  Parameters:
    `sess` - the session
  Returns:
    the audit event dispatcher
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD